﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XamDataGridSample_MergedCellEvaluator.Infrastructure;
using XamDataGridSample_MergedCellEvaluator.Model;

namespace XamDataGridSample_MergedCellEvaluator
{
    public class MainWindowViewModel : ObservableObject
    {
        private ObservableCollection<Person> _people;

        public ObservableCollection<Person> People
        {
            get { return _people; }
            set { _people = value; OnPropertyChanged(); }
        }

        public MainWindowViewModel()
        {
            _people = new ObservableCollection<Person>();
            _people.Add(new Person() { ID = 0, Name = "太郎" });
            _people.Add(new Person() { ID = 1, Name = "太郎" });
            _people.Add(new Person() { ID = 1, Name = "太郎" });
            _people.Add(new Person() { ID = 2, Name = "太郎" });
            _people.Add(new Person() { ID = 2, Name = "太郎" });
            _people.Add(new Person() { ID = 2, Name = "太郎" });
        }
    }
}
