﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XamDataGridSample_MergedCellEvaluator.Model;

namespace XamDataGridSample_MergedCellEvaluator
{
    public class MyEvaluator : IMergedCellEvaluator
    {
        public object GetMergedCellValue(DataRecord record, Field field)
        {
            return (record.DataItem as Person).Name;
        }

        public bool ShouldCellsBeMerged(DataRecord record, DataRecord adjacentRecord, Field field)
        {
            return (record.DataItem as Person).ID == (adjacentRecord.DataItem as Person).ID;
        }
    }
}
